package info.bukova.isspst.services.signeddocs;

import info.bukova.isspst.data.SignedDocument;
import info.bukova.isspst.services.AbstractOwnedService;
import info.bukova.isspst.services.LazyLoader;

import org.hibernate.Hibernate;
import org.springframework.transaction.annotation.Transactional;

public class SignedDocumentServiceImpl extends AbstractOwnedService<SignedDocument> implements SignedDocumentService {
	@LazyLoader("grid")
	@Transactional
	public void lazyLoadItems(SignedDocument signedDocument) {
		if (signedDocument == null) {
			return;
		}

		SignedDocument sd = dao.getById(signedDocument.getId());
		Hibernate.initialize(sd.getItems());
		signedDocument.setItems(sd.getItems());
	}
}
